> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/llms.txt.
> For full documentation content, see https://docs.tester.army/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tester.army/_mcp/server.

# List project memories

GET https://tester.army/v1/projects/{projectId}/memories

List manual project memories used as context for dashboard tests and agents.

Reference: https://docs.tester.army/api-reference/tester-army-api/projects/list-project-memories

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/projects/{projectId}/memories:
    get:
      operationId: list-project-memories
      summary: List project memories
      description: >-
        List manual project memories used as context for dashboard tests and
        agents.
      tags:
        - subpackage_projects
      parameters:
        - name: projectId
          in: path
          description: Project ID or shortId
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of project memories
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Projects_listProjectMemories_Response_200'
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProjectMemoriesRequestBadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMemoriesRequestUnauthorizedError
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProjectMemoriesRequestNotFoundError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMemoriesRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMemoriesRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListProjectMemoriesRequestGatewayTimeoutError
servers:
  - url: https://tester.army
components:
  schemas:
    ProjectMemoryCategory:
      type: string
      enum:
        - site_structure
        - test_insights
        - user_preferences
      title: ProjectMemoryCategory
    ProjectMemoryImportance:
      type: string
      enum:
        - high
        - medium
        - low
      title: ProjectMemoryImportance
    ProjectMemory:
      type: object
      properties:
        id:
          type: string
          format: uuid
        category:
          $ref: '#/components/schemas/ProjectMemoryCategory'
        title:
          type: string
        content:
          type: string
        importance:
          $ref: '#/components/schemas/ProjectMemoryImportance'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - category
        - title
        - content
        - importance
        - createdAt
        - updatedAt
      title: ProjectMemory
    Projects_listProjectMemories_Response_200:
      type: object
      properties:
        memories:
          type: array
          items:
            $ref: '#/components/schemas/ProjectMemory'
        count:
          type: integer
        maxMemories:
          type: integer
      required:
        - memories
        - count
        - maxMemories
      title: Projects_listProjectMemories_Response_200
    ListProjectMemoriesRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMemoriesRequestBadRequestError
    ListProjectMemoriesRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMemoriesRequestUnauthorizedError
    ListProjectMemoriesRequestNotFoundError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMemoriesRequestNotFoundError
    ListProjectMemoriesRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMemoriesRequestTooManyRequestsError
    ListProjectMemoriesRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMemoriesRequestInternalServerError
    ListProjectMemoriesRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListProjectMemoriesRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/projects/projectId/memories"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/projects/projectId/memories';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/projects/projectId/memories"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/projects/projectId/memories")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://tester.army/v1/projects/projectId/memories")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://tester.army/v1/projects/projectId/memories', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/projects/projectId/memories");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/projects/projectId/memories")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```